Name:           jogl
Version:        1.0.0
Release:        5.7.beta5%{?dist}
Summary:        Java bindings for the OpenGL API
Epoch:          1

Group:          System Environment/Libraries
License:        BSD
URL:            http://jogl.dev.java.net/
Source0:        jogl-src-1_0_0-beta05.zip
Source1:        jogl.properties
Source2:        SGIFreeSWLicB.1.1.ps
Patch0:		jogl-ppc.patch
Patch1:		jogl-ppctools.patch
Patch2:		jogl-xlibs.patch
Patch3:		jogl-gluegen-cpptasks-ppc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ant, antlr, ant-antlr, jpackage-utils >= 1.5
BuildRequires:  mesa-libGL-devel, mesa-libGLU-devel, libX11-devel,
BuildRequires:  libXau-devel, libXext-devel, libXxf86vm-devel, libXdmcp-devel

Requires:	mesa-libGL, mesa-libGLU

BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

%description 
The JOGL Project hosts a reference implementation of the Java bindings
for OpenGL API, and is designed to provide hardware-supported 3D
graphics to applications written in the Java programming language.  Is
is part of a suite of open-source technologies initiated bu the Game
Technology Group at Sun Microsystems.  JOGL provides full access to
the APIs in the OpenGL 1.5 specification as well as nearly all vendor
extensions, and integrated with the AWT and Swing widget sets.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -c jogl-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
cp %{SOURCE1} .
cp %{SOURCE2} .

%build

cd jogl

TARGET=linux
%ifarch ppc
TARGET=linux.ppc
%endif

(cd make && ant -Duser.home=%{_topdir}/SOURCES $TARGET javadoc.dev.x11)

# Rename the jar into a versioned jar name and create the .so version.
mv build/jogl.jar build/%{name}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT

cd jogl

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_libdir}
install -pm 766 build/obj/libjogl.so $RPM_BUILD_ROOT%{_libdir}/libjogl.so
install -pm 766 build/obj/libjogl_awt.so $RPM_BUILD_ROOT%{_libdir}/libjogl_awt.so
install -pm 766 build/obj/libjogl_drihack.so $RPM_BUILD_ROOT%{_libdir}/libjogl_drihack.so

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR javadoc_jogl_dev/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

aot-compile-rpm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_bindir}/rebuild-gcj-db

%postun -p %{_bindir}/rebuild-gcj-db

%files
%defattr(644,root,root,755)
%doc SGIFreeSWLicB.1.1.ps
%doc jogl/README.txt
%doc jogl/LICENSE.txt
%doc jogl/doc/*
%{_javadir}/*.jar
%{_libdir}/gcj/*
%{_libdir}/*.so

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1:1.0.0-5.7.beta5
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1:1.0.0-5.6.beta5
- Rebuild.

* Fri Sep  1 2006 Anthony Green <green@redhat.com> - 1:1.0.0-5.5.beta5
- Enable ppc again.
- Add gluegen ppc patch.

* Fri Sep  1 2006 Anthony Green <green@redhat.com> - 1:1.0.0-5.3.beta5
- Rebuild with new aot-compile-rpm.

* Sun Jul 30 2006 Anthony Green <green@redhat.com> - 1:1.0.0-5.0.beta5
- Disable ppc again.

* Sun Jul 30 2006 Anthony Green <green@redhat.com> - 1:1.0.0-4.0.beta5
- Fix X library directory references.

* Sun Jul 30 2006 Anthony Green <green@redhat.com> - 1:1.0.0-2.0.beta5
- Add ppc patches.

* Sat Jul 29 2006 Anthony Green <green@redhat.com> - 1:1.0.0-1.0.beta5
- Rebuild again with another new compiler.
- Update antlr reference in jogl.properties.
- Update to latest JSR231 beta sources.
- Add libjogl_drihack.so and libjogl_awt.so.
- Drop jogl-README.txt.
- Remove ldconfig.

* Wed Mar  1 2006 Anthony Green <green@redhat.com> - 0:1.1.1-14
- Rebuild again with another new compiler.

* Thu Feb  9 2006 Anthony Green <green@redhat.com> - 0:1.1.1-13
- Rebuild with new 4.1 compiler (post ABI change).

* Sat Dec 14 2005 Anthony Green <green@redhat.com> - 0:1.1.1-12
- Build with GCC 4.1.

* Sat Nov 19 2005 Anthony Green <green@redhat.com> - 0:1.1.1-11
- Add Patch3 for X change.

* Sat Nov 19 2005 Anthony Green <green@redhat.com> - 0:1.1.1-10
- Update BuildRequires for modular X.
- Add some Requires.
- Skip to release 10 as work around to tagging mistake.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-8
- Add %{?dist} to the release tag.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-7
- Removed %ghost for javadoc, and remove javadoc post scriptlet, 
  as per ville.skytta@iki.fi's suggestion.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-6
- Add ppctools patch and only build for x86 and ppc for now.
- Remove Epoch.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-5
- Add nojavadoclink patch so we don't end up referencing Sun's
  javadocs.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-4
- Add ppc build patch.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-3
- BuildRequire ant-antlr.

* Sat Sep  3 2005 Anthony Green <green@redhat.com> - 0:1.1.1-2
- Make build more verbose to debug build problems on FE build
  infrastructure.

* Thu Sep  1 2005 Anthony Green <green@redhat.com> - 0:1.1.1-1
- Use aot-compile-rpm and other fixes from Tom Fitzsimmons.

* Mon Aug 22 2005 Anthony Green <green@redhat.com> - 0:1.1b12-2fc4
- Add --as-needed linker options.

* Mon Jun 20 2005 Anthony Green <green@redhat.com> - 0:1.1b12-1fc4
- Upgrade to 1.1 beta 12.
- Rebuilt on real FC4 system.

* Mon May 16 2005 Anthony Green <green@redhat.com> - 0:1.1b11-1fc
- Build requires xorg-x11-devel.
- Switch to aot-compile from find-and-nativify.
- Upgrade to 1.1 beta 11.

* Sun Apr  3 2005 Anthony Green <green@redhat.com> - 0:1.1b10-1fc
- Created.
